Fork me on GitHub"

# skbio.tree.TreeNode.is_root

TreeNode.is_root()

  Returns True if the current is a root, i.e. has no parent.

  State: Experimental as of 0.4.0.

  Returns

    True if the node is the root

  Return type

    bool

  See also

  `is_tip`, `has_children`

  Examples

      >>> from skbio import TreeNode
      >>> tree = TreeNode.read(["((a,b)c);"])
      >>> print(tree.is_root())
      True
      >>> print(tree.find('a').is_root())
      False